Bug 1573088 - mpich: Partial build flags injection
Summary: mpich: Partial build flags injection
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mpich
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-30 07:48 UTC by Florian Weimer
Modified: 2019-05-07 08:55 UTC (History)
2 users (show)

Fixed In Version: mpich-3.2.1-10.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-07 08:55:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Florian Weimer 2018-04-30 07:48:48 UTC
Various binaries in mpich-3.2.1-5.fc28.x86_64 have not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config.  For example, this line from the build log does not show any linker flags:

libtool: link: gcc -m64 -O2 -fPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -mcet -fcf-protection -O2 -g -Wl,-z -Wl,noexecstack -o hydra_nameserver tools/nameserver/hydra_nameserver-hydra_nameserver.o  /builddir/build/BUILD/mpich-3.2.1/src/pm/hydra/.libs/libhydra.a mpl/.libs/libmpl.a -lpthread -lhwloc

Since all parts of LDFLAGS are missing, this does not reflect the usual libtool problem, but appears to be package-specific.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Ben Cotton 2019-05-02 21:53:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-05-04 15:47:24 UTC
The same in F30:

/bin/sh ./libtool  --tag=CC   --mode=link gcc  -m64 -O2 -fPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -O2  -g   -Wl,-z,noexecstack -o hydra_nameserver tools/nameserver/hydra_nameserver-hydra_nameserver.o -lhydra mpl/libmpl.la    -lpthread -lhwloc 

libtool: link: gcc -m64 -O2 -fPIC -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -O2 -g -Wl,-z -Wl,noexecstack -o hydra_nameserver tools/nameserver/hydra_nameserver-hydra_nameserver.o  /builddir/build/BUILD/mpich-3.2.1/src/pm/hydra/.libs/libhydra.a mpl/.libs/libmpl.a -lpthread -lhwloc

Comment 3 Zbigniew Jędrzejewski-Szmek 2019-05-07 08:55:11 UTC
Built in rawhide


Note You need to log in before you can comment on or make changes to this bug.